Package org.apache.felix.eventadmin.impl.adapter

## Class AbstractAdapter

- java.lang.Object
- - org.apache.felix.eventadmin.impl.adapter.AbstractAdapter

Direct Known Subclasses:
  `BundleEventAdapter`, `FrameworkEventAdapter`, `LogEventAdapter`, `ServiceEventAdapter`

    public abstract class AbstractAdapter
    extends Object

Abstract base class for all adapters. This class allows to exchange the event admin at runtime

Author:
  Felix Project Team

### Constructor Summary

Constructors
`AbstractAdapter​(org.osgi.service.event.EventAdmin admin)` The constructor of the adapter.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `destroy​(org.osgi.framework.BundleContext bundleContext)`
`protected org.osgi.service.event.EventAdmin` `getEventAdmin()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractAdapter

    public AbstractAdapter​(org.osgi.service.event.EventAdmin admin)

The constructor of the adapter.

Parameters:
  `admin` - The `EventAdmin` to use for posting events.

### Method Detail

#### getEventAdmin

    protected org.osgi.service.event.EventAdmin getEventAdmin()

#### destroy

    public abstract void destroy​(org.osgi.framework.BundleContext bundleContext)